<!DOCTYPE html>
<style>
    #login-dp{
        min-width: 350px;
        color:black;
        padding: 14px 14px 0;
        overflow:hidden;
    //  background-color:rgba(255,255,255,.8);
        background-color: #f0ad4e;
    }
    #login-dp .bottom{
        background-color:rgba(255,255,255,.8);
        border-top:1px solid #ddd;
        clear:both;
        padding:14px;
    }
    @media(max-width:768px){
        #login-dp{
            background-color: inherit;
            color: #fff;
        }
        #login-dp .bottom{
            background-color: inherit;
            border-top:0 none;
        }
    }
    .topnav {
        overflow: hidden;
        background-color:#000000;
    }


    .topnav a {
        float: left;
        display: block;
        color: #FF1493;
        text-align: center;
        padding: 16px 18px;
        font-size: 19px;
    }

    .topnav a:hover {
        background-color: #FFC0CB;
        color: black;
    }

    .topnav a.active {
        background-color:#FF1493;
        color: black;
    }

    .btn:hover
    {
        background-color: #ffb812;
        color:maroon;
    }

    .topnav a.bienvenido {
        background-color:#C71585;
        color: black;
    }

    .container {
        position: relative;
        width:40%;
    }

    .image {
        width:80%;
        height:60%;
    }

    .overlay {
        position: absolute;
        bottom: 100%;
        left: 0;
        right: 0;
        background-color:rgba(31,31, 31, 0, 9);
        -webkit-transition: opacity 0.2s ;
        overflow: hidden;
        height:0;
        transition: 0.5s ease;
        opacity: 100;
    }

    .container:hover .overlay {
        bottom: 0;
        height: 100%;
        opacity: 1;
    }

    .text {
        white-space: nowrap;
        color: black;
        font-size: 60px;
        position: absolute;
        overflow: visible;
        top: 60%;
        left: 80%;
        transform: translate(-300%, -300%);
        -ms-transform: translate(-300%, -300%);
    }
</style>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<script>
    function multiplicar(){
        m1 = document.getElementById("multiplicando").value;
        m2 = document.getElementById("multiplicador").value;
        r = m1*m2;
        document.getElementById("resultado").value = r;
    }
</script>
<head>
    <title>Spring Security Tutorial</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"></link>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>

<body background="https://storage.googleapis.com/mmc-cdn-bucket/uploads/2017/07/12dc1a9d-pizza.jpg">
</body>
<body>
<nav class="navbar navbar-default navbar-inverse" role="navigation">
    <div class="container-fluid">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="/user/home">Pedidos Cotoca</a>
        </div>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
                <li class="active"><a href="#">Productos</a></li>
                <li><a href="/user/directions"><Afiliados>Direcciones</Afiliados></a></li>
            </ul>

            <ul class="nav navbar-nav navbar-right">
                <li><a><i class="glyphicon glyphicon-user"></i><td th:text="${nameA}">Nombre </td></a></li>
                <li><a th:href="${'/logout'}"><Afiliados>Cerrar Sesion</Afiliados></a></li>
            </ul>
        </div><!-- /.navbar-collapse -->
    </div><!-- /.container-fluid -->
</nav>

<div class="container">
    <form id="multiplicar" class="form-horizontal" th:object="${orderU}" th:action="@{/user/defecto}" method="post" onSubmit="alert('Gracias su pedido se realizo correctamente');">
        <input type="hidden" th:field="*{id}"/>
        <input type="hidden" th:field="*{user}"/>
        <input type="hidden" th:field="*{product}"/>
        <div class="row">
            <div class="col-sm-12 col-md-10 col-md-offset-1">
                <table class="table table-hover">
                    <thead>
                    <tr>
                        <th>Producto</th>
                        <th>Cantidad</th>
                        <th class="text-center">Precio</th>
                        <th class="text-center">Total</th>
                        <th> </th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td class="col-sm-8 col-md-6">
                            <div class="media">
                                <a class="thumbnail pull-left" href="#"> <img class="media-object" src="https://oferplan.elnortedecastilla.es/images/33_thumb.jpg" style="width: 72px; height: 72px;"/> </a>
                                <div class="media-body">
                                    <h4 class="media-heading"> Restaurante: <p th:text="${user.restaurant.name}">test</p></h4>
                                    <h5 class="media-heading">Producto: <p th:text="${product.name}">test</p></h5>
                                </div>
                            </div>
                        </td>
                        <td class="col-sm-1 col-md-1" style="text-align: center">
                            <input type="text" class="form-control" th:field="*{quantity}" id="multiplicando" onChange="multiplicar();"/>
                        </td>
                        <td class="col-sm-1 col-md-1" style="text-align: center">
                            <input type="text" class="form-control" th:field="*{product.amount}" id="multiplicador" onChange="multiplicar();" readonly="readonly"/>
                        </td>
                        <td class="col-sm-1 col-md-1" style="text-align: center">
                            <input type="text" class="form-control" th:field="*{price}" id="resultado" readonly="readonly"/>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td></td><td></td>
                        <td>
                            <div class="form-group">
                                <label class="control-label">Direccion:</label>
                                <select th:field="*{direction} ">
                                    <option th:each="direction : ${user.directions}" th:if="${direction.state==1}" th:value="${direction.id}" th:text="${direction.address} ">Direccion</option>
                                </select><br/><br/>
                            </div>
                        </td>
                        <td class="col-sm-1 col-md-1">
                            <a href="/user/home" class="btn btn-danger">
                                <span class="glyphicon glyphicon-remove"></span> Cancelar
                            </a>
                        </td>
                        <td>
                            <button type="submit" class="btn btn-success">
                                <span class="glyphicon glyphicon-shopping-cart"></span> Continuar
                            </button>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </form>
</div>
</body>
</html>